Bug 1239184 - NetworkManager-1.0.4-0.1.git20160624 ignoring some settings
Summary: NetworkManager-1.0.4-0.1.git20160624 ignoring some settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-04 00:56 UTC by Ed Greshko
Modified: 2015-10-04 22:52 UTC (History)
4 users (show)

Fixed In Version: NetworkManager-1.0.6-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 22:52:37 UTC


Attachments (Terms of Use)

Description Ed Greshko 2015-07-04 00:56:47 UTC
Description of problem: When a connection is set to "Automatic (Only Addresses)" the DNS information supplied by the router is still added to the list of nameservers in /etc/resolv.conf


Version-Release number of selected component (if applicable): NetworkManager-1.0.4-0.1.git20160624.f245b49a.fc22.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: nameserver info supplied by router is used


Expected results: nameserver info supplied by router should be ignored


Additional info:

Comment 1 Jirka Klimes 2015-07-07 07:23:30 UTC
This has been fixed upstream: http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=nm-1-0&id=2a5eea7e7696c00befe81b934734f34ee150768f

Anyway, thanks for reporting.

Comment 2 Fedora Update System 2015-07-07 07:56:55 UTC
NetworkManager-1.0.4-0.2.git20150707.cf15f2a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/NetworkManager-1.0.4-0.2.git20150707.cf15f2a.fc22

Comment 3 Fedora Update System 2015-07-07 16:49:08 UTC
NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22

Comment 4 Fedora Update System 2015-07-10 19:07:15 UTC
Package NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.3.git20150707.e3bd4e1.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-07-14 15:45:06 UTC
Package NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22, network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22 network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-0.4.git20150713.38bf2cb0.fc22,network-manager-applet-1.0.4-0.1.git20160702.25368df.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-07-18 02:10:05 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-1.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-1.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-07-29 01:58:30 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.4-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.4-2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.4-2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-08-15 02:19:03 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.1.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Admin XMLRPC Client 2015-08-18 15:00:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Update System 2015-08-19 08:08:12 UTC
Package network-manager-applet-1.0.4-2.fc22, NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing network-manager-applet-1.0.4-2.fc22 NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10143/NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22,network-manager-applet-1.0.4-2.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-08-22 02:52:22 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update NetworkManager network-manager-applet'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 12 Fedora Update System 2015-08-23 01:49:20 UTC
NetworkManager-1.0.6-0.2.20150813git7e2caa2.fc22, network-manager-applet-1.0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 13 Fedora Update System 2015-09-02 16:21:55 UTC
NetworkManager-1.0.6-2.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager-openvpn NetworkManager-vpnc NetworkManager NetworkManager-openswan'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 14 Fedora Update System 2015-09-08 11:15:12 UTC
NetworkManager-1.0.6-3.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 15 Fedora Update System 2015-09-08 21:26:43 UTC
NetworkManager-1.0.6-4.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-openswan NetworkManager-vpnc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 16 Fedora Update System 2015-09-28 21:00:38 UTC
NetworkManager-1.0.6-6.fc22 NetworkManager-openswan-1.0.6-2.fc22 NetworkManager-openvpn-1.0.6-3.fc22 NetworkManager-vpnc-1.0.6-3.fc22 network-manager-applet-1.0.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 17 Fedora Update System 2015-10-02 03:49:20 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update NetworkManager-openswan network-manager-applet NetworkManager NetworkManager-openvpn NetworkManager-vpnc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10143

Comment 18 Fedora Update System 2015-10-04 22:52:06 UTC
NetworkManager-1.0.6-6.fc22, NetworkManager-openswan-1.0.6-2.fc22, NetworkManager-openvpn-1.0.6-3.fc22, NetworkManager-vpnc-1.0.6-3.fc22, network-manager-applet-1.0.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.